Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 375611 - Blender Fails with a segmentation fault on load
Blender Fails with a segmentation fault on load
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: blender (Show other bugs)
8
All Linux
low Severity high
: ---
: ---
Assigned To: Jochen Schmitt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-11 03:44 EST by Brennan Ashton
Modified: 2008-02-04 13:02 EST (History)
3 users (show)

See Also:
Fixed In Version: mesa-7.0.2-2.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-04 13:02:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Blender GDB Log (5.78 KB, text/plain)
2007-11-11 03:44 EST, Brennan Ashton
no flags Details
A log of the ltrace output when running Blender 2.45 Under FC8 (1.26 MB, application/octet-stream)
2007-12-03 20:12 EST, David Chipman
no flags Details

  None (edit)
Description Brennan Ashton 2007-11-11 03:44:29 EST
Description of problem:
Blender fails to load. throws a segmentation fault 

Version-Release number of selected component (if applicable):


How reproducible:
Happens every time

Steps to Reproduce:
1.Load blender
2.
3.
  
Actual results:
segmentation fault

Expected results:
Open blender

Additional info:
See debug out put attached
Comment 1 Brennan Ashton 2007-11-11 03:44:29 EST
Created attachment 254291 [details]
Blender GDB Log
Comment 2 Jochen Schmitt 2007-11-15 11:40:15 EST
Thank you for reporting this bug. Because I couldn't reproduced your issue on my
system, it will be nice, if you can send me the following information:

1.) Which version of the blender package do you use=

2.) Which graphic adapter has you system and which drvier (open source or
propertery) do you use?

Comment 3 Bojan Matic 2007-11-27 13:49:55 EST
I have the same problem on my laptop with an intel gma 950
Comment 4 isaac 2007-11-27 17:18:12 EST
blender 2.45, intel gma 945, 
[isak@design2 ~]$ glxinfo
name of display: :0.0
display: :0  screen: 0
direct rendering: Yes
server glx vendor string: SGI
server glx version string: 1.2
server glx extensions:
    GLX_ARB_multisample, GLX_EXT_import_context, GLX_EXT_texture_from_pixmap, 
    GLX_EXT_visual_info, GLX_EXT_visual_rating, GLX_MESA_copy_sub_buffer, 
    GLX_OML_swap_method, GLX_SGI_make_current_read, GLX_SGI_swap_control, 
    GLX_SGIS_multisample, GLX_SGIX_fbconfig, GLX_SGIX_visual_select_group
client glx vendor string: SGI
client glx version string: 1.4
client glx extensions:
    GLX_ARB_get_proc_address, GLX_ARB_multisample, GLX_EXT_import_context, 
    GLX_EXT_visual_info, GLX_EXT_visual_rating, GLX_MESA_allocate_memory, 
    GLX_MESA_copy_sub_buffer, GLX_MESA_swap_control, 
    GLX_MESA_swap_frame_usage, GLX_OML_swap_method, GLX_OML_sync_control, 
    GLX_SGI_make_current_read, GLX_SGI_swap_control, GLX_SGI_video_sync, 
    GLX_SGIS_multisample, GLX_SGIX_fbconfig, GLX_SGIX_pbuffer, 
    GLX_SGIX_visual_select_group, GLX_EXT_texture_from_pixmap
GLX version: 1.2
GLX extensions:
    GLX_ARB_get_proc_address, GLX_ARB_multisample, GLX_EXT_import_context, 
    GLX_EXT_visual_info, GLX_EXT_visual_rating, GLX_MESA_allocate_memory, 
    GLX_MESA_copy_sub_buffer, GLX_MESA_swap_control, 
    GLX_MESA_swap_frame_usage, GLX_OML_swap_method, GLX_SGI_make_current_read, 
    GLX_SGI_swap_control, GLX_SGI_video_sync, GLX_SGIS_multisample, 
    GLX_SGIX_fbconfig, GLX_SGIX_visual_select_group
OpenGL vendor string: Tungsten Graphics, Inc
OpenGL renderer string: Mesa DRI Intel(R) 945GM 20061017 x86/MMX/SSE2
OpenGL version string: 1.3 Mesa 7.0.2
OpenGL extensions:
    GL_ARB_depth_texture, GL_ARB_fragment_program, GL_ARB_imaging, 
    GL_ARB_multisample, GL_ARB_multitexture, GL_ARB_point_parameters, 
    GL_ARB_shadow, GL_ARB_texture_border_clamp, GL_ARB_texture_compression, 
    GL_ARB_texture_cube_map, GL_ARB_texture_env_add, 
    GL_ARB_texture_env_combine, GL_ARB_texture_env_crossbar, 
    GL_ARB_texture_env_dot3, GL_ARB_texture_mirrored_repeat, 
    GL_ARB_texture_rectangle, GL_ARB_transpose_matrix, 
    GL_ARB_vertex_buffer_object, GL_ARB_vertex_program, GL_ARB_window_pos, 
    GL_EXT_abgr, GL_EXT_bgra, GL_EXT_blend_color, 
    GL_EXT_blend_equation_separate, GL_EXT_blend_func_separate, 
    GL_EXT_blend_minmax, GL_EXT_blend_subtract, GL_EXT_clip_volume_hint, 
    GL_EXT_cull_vertex, GL_EXT_compiled_vertex_array, GL_EXT_convolution, 
    GL_EXT_copy_texture, GL_EXT_draw_range_elements, GL_EXT_fog_coord, 
    GL_EXT_histogram, GL_EXT_multi_draw_arrays, GL_EXT_packed_pixels, 
    GL_EXT_point_parameters, GL_EXT_polygon_offset, GL_EXT_rescale_normal, 
    GL_EXT_secondary_color, GL_EXT_separate_specular_color, 
    GL_EXT_shadow_funcs, GL_EXT_stencil_wrap, GL_EXT_subtexture, 
    GL_EXT_texture, GL_EXT_texture3D, GL_EXT_texture_edge_clamp, 
    GL_EXT_texture_env_add, GL_EXT_texture_env_combine, 
    GL_EXT_texture_env_dot3, GL_EXT_texture_filter_anisotropic, 
    GL_EXT_texture_lod_bias, GL_EXT_texture_object, GL_EXT_texture_rectangle, 
    GL_EXT_vertex_array, GL_3DFX_texture_compression_FXT1, 
    GL_APPLE_client_storage, GL_APPLE_packed_pixels, 
    GL_ATI_blend_equation_separate, GL_IBM_rasterpos_clip, 
    GL_IBM_texture_mirrored_repeat, GL_INGR_blend_func_separate, 
    GL_MESA_pack_invert, GL_MESA_ycbcr_texture, GL_MESA_window_pos, 
    GL_NV_blend_square, GL_NV_light_max_exponent, GL_NV_texture_rectangle, 
    GL_NV_texgen_reflection, GL_NV_vertex_program, GL_NV_vertex_program1_1, 
    GL_OES_read_format, GL_SGI_color_matrix, GL_SGI_color_table, 
    GL_SGIS_generate_mipmap, GL_SGIS_texture_border_clamp, 
    GL_SGIS_texture_edge_clamp, GL_SGIS_texture_lod, GL_SGIX_depth_texture, 
    GL_SUN_multi_draw_arrays

   visual  x  bf lv rg d st colorbuffer ax dp st accumbuffer  ms  cav
 id dep cl sp sz l  ci b ro  r  g  b  a bf th cl  r  g  b  a ns b eat
----------------------------------------------------------------------
0x23 24 tc  0 32  0 r  y  .  8  8  8  8  0  0  0  0  0  0  0  0 0 None
0x24 24 tc  0 32  0 r  .  .  8  8  8  8  0  0  0  0  0  0  0  0 0 None
0x25 24 tc  0 32  0 r  y  .  8  8  8  8  0 24  8  0  0  0  0  0 0 None
0x26 24 tc  0 32  0 r  .  .  8  8  8  8  0 24  8  0  0  0  0  0 0 None
0x27 24 tc  0 32  0 r  y  .  8  8  8  8  0  0  0 16 16 16 16  0 0 Slow
0x28 24 tc  0 32  0 r  .  .  8  8  8  8  0  0  0 16 16 16 16  0 0 Slow
0x29 24 tc  0 32  0 r  y  .  8  8  8  8  0 24  8 16 16 16 16  0 0 Slow
0x2a 24 tc  0 32  0 r  .  .  8  8  8  8  0 24  8 16 16 16 16  0 0 Slow
0x2b 24 dc  0 32  0 r  y  .  8  8  8  8  0  0  0  0  0  0  0  0 0 None
0x2c 24 dc  0 32  0 r  .  .  8  8  8  8  0  0  0  0  0  0  0  0 0 None
0x2d 24 dc  0 32  0 r  y  .  8  8  8  8  0 24  8  0  0  0  0  0 0 None
0x2e 24 dc  0 32  0 r  .  .  8  8  8  8  0 24  8  0  0  0  0  0 0 None
0x2f 24 dc  0 32  0 r  y  .  8  8  8  8  0  0  0 16 16 16 16  0 0 Slow
0x30 24 dc  0 32  0 r  .  .  8  8  8  8  0  0  0 16 16 16 16  0 0 Slow
0x31 24 dc  0 32  0 r  y  .  8  8  8  8  0 24  8 16 16 16 16  0 0 Slow
0x32 24 dc  0 32  0 r  .  .  8  8  8  8  0 24  8 16 16 16 16  0 0 Slow
0x68 32 tc  0 32  0 r  .  .  8  8  8  8  0  0  0  0  0  0  0  0 0 Ncon
Comment 5 Brennan Ashton 2007-11-27 19:00:26 EST
Sorry, I have been out of town, I have the same graphics card in my laptop,
[bashton@localhost ~]$ glxinfo
name of display: :0.0
display: :0  screen: 0
direct rendering: Yes
server glx vendor string: SGI
server glx version string: 1.2
server glx extensions:
    GLX_ARB_multisample, GLX_EXT_import_context, GLX_EXT_texture_from_pixmap, 
    GLX_EXT_visual_info, GLX_EXT_visual_rating, GLX_MESA_copy_sub_buffer, 
    GLX_OML_swap_method, GLX_SGI_make_current_read, GLX_SGI_swap_control, 
    GLX_SGIS_multisample, GLX_SGIX_fbconfig, GLX_SGIX_visual_select_group
client glx vendor string: SGI
client glx version string: 1.4
client glx extensions:
    GLX_ARB_get_proc_address, GLX_ARB_multisample, GLX_EXT_import_context, 
    GLX_EXT_visual_info, GLX_EXT_visual_rating, GLX_MESA_allocate_memory, 
    GLX_MESA_copy_sub_buffer, GLX_MESA_swap_control, 
    GLX_MESA_swap_frame_usage, GLX_OML_swap_method, GLX_OML_sync_control, 
    GLX_SGI_make_current_read, GLX_SGI_swap_control, GLX_SGI_video_sync, 
    GLX_SGIS_multisample, GLX_SGIX_fbconfig, GLX_SGIX_pbuffer, 
    GLX_SGIX_visual_select_group, GLX_EXT_texture_from_pixmap
GLX version: 1.2
GLX extensions:
    GLX_ARB_get_proc_address, GLX_ARB_multisample, GLX_EXT_import_context, 
    GLX_EXT_visual_info, GLX_EXT_visual_rating, GLX_MESA_allocate_memory, 
    GLX_MESA_copy_sub_buffer, GLX_MESA_swap_control, 
    GLX_MESA_swap_frame_usage, GLX_OML_swap_method, GLX_SGI_make_current_read, 
    GLX_SGI_swap_control, GLX_SGI_video_sync, GLX_SGIS_multisample, 
    GLX_SGIX_fbconfig, GLX_SGIX_visual_select_group
OpenGL vendor string: Tungsten Graphics, Inc
OpenGL renderer string: Mesa DRI Intel(R) 945GM 20061017 x86/MMX/SSE2
OpenGL version string: 1.3 Mesa 7.0.2
OpenGL extensions:
    GL_ARB_depth_texture, GL_ARB_fragment_program, GL_ARB_imaging, 
    GL_ARB_multisample, GL_ARB_multitexture, GL_ARB_point_parameters, 
    GL_ARB_shadow, GL_ARB_texture_border_clamp, GL_ARB_texture_compression, 
    GL_ARB_texture_cube_map, GL_ARB_texture_env_add, 
    GL_ARB_texture_env_combine, GL_ARB_texture_env_crossbar, 
    GL_ARB_texture_env_dot3, GL_ARB_texture_mirrored_repeat, 
    GL_ARB_texture_rectangle, GL_ARB_transpose_matrix, 
    GL_ARB_vertex_buffer_object, GL_ARB_vertex_program, GL_ARB_window_pos, 
    GL_EXT_abgr, GL_EXT_bgra, GL_EXT_blend_color, 
    GL_EXT_blend_equation_separate, GL_EXT_blend_func_separate, 
    GL_EXT_blend_minmax, GL_EXT_blend_subtract, GL_EXT_clip_volume_hint, 
    GL_EXT_cull_vertex, GL_EXT_compiled_vertex_array, GL_EXT_convolution, 
    GL_EXT_copy_texture, GL_EXT_draw_range_elements, GL_EXT_fog_coord, 
    GL_EXT_histogram, GL_EXT_multi_draw_arrays, GL_EXT_packed_pixels, 
    GL_EXT_point_parameters, GL_EXT_polygon_offset, GL_EXT_rescale_normal, 
    GL_EXT_secondary_color, GL_EXT_separate_specular_color, 
    GL_EXT_shadow_funcs, GL_EXT_stencil_wrap, GL_EXT_subtexture, 
    GL_EXT_texture, GL_EXT_texture3D, GL_EXT_texture_edge_clamp, 
    GL_EXT_texture_env_add, GL_EXT_texture_env_combine, 
    GL_EXT_texture_env_dot3, GL_EXT_texture_filter_anisotropic, 
    GL_EXT_texture_lod_bias, GL_EXT_texture_object, GL_EXT_texture_rectangle, 
    GL_EXT_vertex_array, GL_3DFX_texture_compression_FXT1, 
    GL_APPLE_client_storage, GL_APPLE_packed_pixels, 
    GL_ATI_blend_equation_separate, GL_IBM_rasterpos_clip, 
    GL_IBM_texture_mirrored_repeat, GL_INGR_blend_func_separate, 
    GL_MESA_pack_invert, GL_MESA_ycbcr_texture, GL_MESA_window_pos, 
    GL_NV_blend_square, GL_NV_light_max_exponent, GL_NV_texture_rectangle, 
    GL_NV_texgen_reflection, GL_NV_vertex_program, GL_NV_vertex_program1_1, 
    GL_OES_read_format, GL_SGI_color_matrix, GL_SGI_color_table, 
    GL_SGIS_generate_mipmap, GL_SGIS_texture_border_clamp, 
    GL_SGIS_texture_edge_clamp, GL_SGIS_texture_lod, GL_SGIX_depth_texture, 
    GL_SUN_multi_draw_arrays

   visual  x  bf lv rg d st colorbuffer ax dp st accumbuffer  ms  cav
 id dep cl sp sz l  ci b ro  r  g  b  a bf th cl  r  g  b  a ns b eat
----------------------------------------------------------------------
0x23 24 tc  0 32  0 r  y  .  8  8  8  8  0  0  0  0  0  0  0  0 0 None
0x24 24 tc  0 32  0 r  .  .  8  8  8  8  0  0  0  0  0  0  0  0 0 None
0x25 24 tc  0 32  0 r  y  .  8  8  8  8  0 24  8  0  0  0  0  0 0 None
0x26 24 tc  0 32  0 r  .  .  8  8  8  8  0 24  8  0  0  0  0  0 0 None
0x27 24 tc  0 32  0 r  y  .  8  8  8  8  0  0  0 16 16 16 16  0 0 Slow
0x28 24 tc  0 32  0 r  .  .  8  8  8  8  0  0  0 16 16 16 16  0 0 Slow
0x29 24 tc  0 32  0 r  y  .  8  8  8  8  0 24  8 16 16 16 16  0 0 Slow
0x2a 24 tc  0 32  0 r  .  .  8  8  8  8  0 24  8 16 16 16 16  0 0 Slow
0x2b 24 dc  0 32  0 r  y  .  8  8  8  8  0  0  0  0  0  0  0  0 0 None
0x2c 24 dc  0 32  0 r  .  .  8  8  8  8  0  0  0  0  0  0  0  0 0 None
0x2d 24 dc  0 32  0 r  y  .  8  8  8  8  0 24  8  0  0  0  0  0 0 None
0x2e 24 dc  0 32  0 r  .  .  8  8  8  8  0 24  8  0  0  0  0  0 0 None
0x2f 24 dc  0 32  0 r  y  .  8  8  8  8  0  0  0 16 16 16 16  0 0 Slow
0x30 24 dc  0 32  0 r  .  .  8  8  8  8  0  0  0 16 16 16 16  0 0 Slow
0x31 24 dc  0 32  0 r  y  .  8  8  8  8  0 24  8 16 16 16 16  0 0 Slow
0x32 24 dc  0 32  0 r  .  .  8  8  8  8  0 24  8 16 16 16 16  0 0 Slow
0x6b 32 tc  0 32  0 r  .  .  8  8  8  8  0  0  0  0  0  0  0  0 0 Ncon
Comment 6 David Chipman 2007-12-02 21:51:24 EST
I'm having similar trouble with Blender, My comuter has a Intel 845G chip on
it's motherboard. Here is the glxinfo output:
name of display: :0.0
display: :0  screen: 0
direct rendering: Yes
server glx vendor string: SGI
server glx version string: 1.2
server glx extensions:
    GLX_ARB_multisample, GLX_EXT_import_context, GLX_EXT_texture_from_pixmap, 
    GLX_EXT_visual_info, GLX_EXT_visual_rating, GLX_MESA_copy_sub_buffer, 
    GLX_OML_swap_method, GLX_SGI_make_current_read, GLX_SGI_swap_control, 
    GLX_SGIS_multisample, GLX_SGIX_fbconfig, GLX_SGIX_visual_select_group
client glx vendor string: SGI
client glx version string: 1.4
client glx extensions:
    GLX_ARB_get_proc_address, GLX_ARB_multisample, GLX_EXT_import_context, 
    GLX_EXT_visual_info, GLX_EXT_visual_rating, GLX_MESA_allocate_memory, 
    GLX_MESA_copy_sub_buffer, GLX_MESA_swap_control, 
    GLX_MESA_swap_frame_usage, GLX_OML_swap_method, GLX_OML_sync_control, 
    GLX_SGI_make_current_read, GLX_SGI_swap_control, GLX_SGI_video_sync, 
    GLX_SGIS_multisample, GLX_SGIX_fbconfig, GLX_SGIX_pbuffer, 
    GLX_SGIX_visual_select_group, GLX_EXT_texture_from_pixmap
GLX version: 1.2
GLX extensions:
    GLX_ARB_get_proc_address, GLX_ARB_multisample, GLX_EXT_import_context, 
    GLX_EXT_visual_info, GLX_EXT_visual_rating, GLX_MESA_allocate_memory, 
    GLX_MESA_copy_sub_buffer, GLX_MESA_swap_control, 
    GLX_MESA_swap_frame_usage, GLX_OML_swap_method, GLX_SGI_make_current_read, 
    GLX_SGI_swap_control, GLX_SGI_video_sync, GLX_SGIS_multisample, 
    GLX_SGIX_fbconfig, GLX_SGIX_visual_select_group
OpenGL vendor string: Tungsten Graphics, Inc
OpenGL renderer string: Mesa DRI Intel(R) 845G 20061017 x86/MMX/SSE2
OpenGL version string: 1.3 Mesa 7.0.2
OpenGL extensions:
    GL_ARB_imaging, GL_ARB_multisample, GL_ARB_multitexture, 
    GL_ARB_point_parameters, GL_ARB_texture_border_clamp, 
    GL_ARB_texture_compression, GL_ARB_texture_cube_map, 
    GL_ARB_texture_env_add, GL_ARB_texture_env_combine, 
    GL_ARB_texture_env_crossbar, GL_ARB_texture_env_dot3, 
    GL_ARB_texture_mirrored_repeat, GL_ARB_texture_rectangle, 
    GL_ARB_transpose_matrix, GL_ARB_vertex_buffer_object, 
    GL_ARB_vertex_program, GL_ARB_window_pos, GL_EXT_abgr, GL_EXT_bgra,
Comment 7 David Chipman 2007-12-03 19:50:40 EST
Can somebody explain why this is a low-priority bug?
Comment 8 David Chipman 2007-12-03 20:12:16 EST
Created attachment 276481 [details]
A log of the ltrace output when running Blender 2.45 Under FC8

This shows the list of function calls in the shared libraries used by Blender
Comment 9 isaac 2007-12-05 10:01:59 EST
David your traces says this at the end

glColor4ub(0, 0, 0, 225, 0 <unfinished ...>

and the blender source of 2.45 says this in the INSTALL document

FTGL needs a small patch to get glyphs with the right colour in the cache
--- FTGL/src/FTPixmapGlyph.cpp.orig	2003-05-10 16:07:45.000000000 +0200
+++ FTGL/src/FTPixmapGlyph.cpp	2003-05-10 16:09:19.000000000 +0200
@@ -33,3 +33,3 @@
         // Get the current glColor.
         float ftglColour[4];
-        glGetFloatv( GL_CURRENT_COLOR, ftglColour);
+        ftglColour[0] = ftglColour[1] = ftglColour[2] = ftglColour[3] = 1.0;

Does this two things are related???
Comment 10 Andrew Alm 2007-12-05 12:27:59 EST
I am having the same issue using intel G33 graphics, it works fine with my
laptop using GMA965.  I am guessing it is a problem in the intel driver and not
in blender.
Comment 11 David Chipman 2007-12-05 16:49:33 EST
(In reply to comment #9)
Hi Issac, 

> Does this two things are related???

I haven't got a clue what you're on about. Is it a link between FreeType and
OpenGL? However, that said, I had begun to wonder about the sorts of things that
Andrew brings up the comment above mine. Thanks for the idea. I'l download the
SRPM and do some digging of my own (though I loath digging around in other's
code, like-the-Plague). 

-David
Comment 12 isaac 2007-12-06 10:59:00 EST
checking on Andrew comment:

I set xorg.conf to work with intel and i810 driver and both cause blender
segmentation fault... BUT if i set xorg.conf to work with "vesa" driver blender
runs perfectly fine... so i guess its mesa problem... not blender...
Comment 13 isaac 2007-12-06 11:13:24 EST
a guy from an italian forum of fedora got this from both intel and i810

(gdb) bt
#0 0x0048f6ce in ?? () from /usr/lib/dri/i915_dri.so
#1 0x00521030 in ?? () from /usr/lib/dri/i915_dri.so
#2 0x00522172 in ?? () from /usr/lib/dri/i915_dri.so
#3 0x0051924f in ?? () from /usr/lib/dri/i915_dri.so
#4 0x004891d7 in ?? () from /usr/lib/dri/i915_dri.so
#5 0x005197ae in ?? () from /usr/lib/dri/i915_dri.so
#6 0x00511ddc in ?? () from /usr/lib/dri/i915_dri.so
#7 0x0050d568 in ?? () from /usr/lib/dri/i915_dri.so
#8 0x0050d6bc in ?? () from /usr/lib/dri/i915_dri.so
#9 0x00510998 in ?? () from /usr/lib/dri/i915_dri.so
#10 0x005a2a53 in ?? () from /usr/lib/dri/i915_dri.so
#11 0x081b77a4 in BIF_ThemeColorShadeAlpha ()
#12 0x08187edd in ?? ()
#13 0x00000021 in ?? ()
#14 0x00000000 in ?? ()
(gdb) kill

and also said blender worked for him with vesa driver... this is the link

http://www.fedoraonline.it/modules/newbb/viewtopic.php?topic_id=5127&forum=2&PHPSESSID=022ae9f5d0c872f7da9da9e7cbdb290e
Comment 14 David Chipman 2007-12-06 11:56:27 EST
(In reply to comment #12)
Hi Issac, 

Has anybody put in a bug report for mesa, then?

-David
Comment 15 isaac 2007-12-06 14:11:41 EST
this i guess????

http://bugs.freedesktop.org/show_bug.cgi?id=12164
Comment 16 isaac 2007-12-06 14:18:27 EST
Mesa 7.0.2 in the release notes says it fixes that bug... so im dowloading it
and compiling it tonignt... http://www.mesa3d.org/
Comment 17 David Chipman 2007-12-07 03:14:18 EST
Issac, 

I tried using the new version of Mesa (7.0.2), and while I saw that Blender
bugfix refernce, I don't think it's going to fix things on its own. In fact,
using Blender with the new Mesa crashes the X Windows session, logging me out,
and after some pauses and screen blinks, bringing me back to the GDM login
screen. Later, and good luck on your hardware (better luck than mine, at least, 

-David
Comment 18 David Chipman 2007-12-09 14:12:16 EST
Hi again, Issac, 

I've actually installed the Mesa stuff, from source, It doesn't crash X Windows
System anymore, but it doesn't help Blender, either. Later, 

-David Chipman
Comment 19 isaac 2007-12-10 11:06:38 EST
yep... compiled it this weekend and didnt worked... still get the segmentation
fault... dont even could run it a bit... even compiz fusion got problems with
it... rolled back to precompiled package... getting frustrated here!
Comment 20 David Chipman 2007-12-10 12:26:09 EST
Hi issac, 

What are we going to do? Did you look at the Mesa bugzilla? Should somebody post
a bug report there? Later,

-David Chipman
Comment 21 isaac 2007-12-11 10:24:58 EST
Hi david... it seems they reopened the bug... some guy saying the bug is still
present on 7.0.2. I add a comment saying we have the same problem even with 7.0.2

this is the link https://bugs.freedesktop.org/show_bug.cgi?id=12164

later
Comment 22 David Chipman 2007-12-11 21:08:46 EST
Hi Issac, 

It seems Blender is having problems with lots of Mesa drivers, it seems. I also
notice, that on a system with an i810 driver configured, Blender is crashing
when using *i915*_dri.so. That, as I understand these things (not well), is a
driver for completely different hardware, isn't it? Another thing I notice about
the bug on the frewdesktop bugzilla is that some mention having issues when
opening a menu, while we are getting "no joy" on start-up. Later, 

-David Chipman
Comment 23 isaac 2007-12-12 15:04:33 EST
Hi david... about de i915.dri.so... i thought it was a driver for another
hardware but no... every hardware uses it specific driver for 2D acceleration...
and this driver whichever it is call i915.dri.so for Direct rendering and 3d
acceleration... so the problem is that blender crashes when calling 3d
support... thats why it doesnt crashes when using vesa driver... this driver
doesn support 3d acceleration... as i understand it this is the explanation...
tho i would research about it more... in the meantime i guess we just have to
wait till they fix it... later
Comment 24 isaac 2007-12-12 15:18:27 EST
Hi again... from Mesa bugzilla told me to open a new bug report... just did
it... again... patient has to be our friend... later

https://bugs.freedesktop.org/show_bug.cgi?id=13628
Comment 25 Peter Janakiev 2007-12-17 05:29:21 EST
Behaviour confirmed with Intel 855GM. Waiting for new mesa, probably the next
fedora.. *sad*
Comment 26 David Chipman 2007-12-17 11:06:38 EST
Hi Peter, 

That doesn't make me sad. It makes me mad. Does anybody know how to up the
priority on a bug?

-David Chipman
Comment 27 isaac 2007-12-19 11:04:44 EST
dont know david... i was told in mesa bugzilla to compile libdrm from git... it
seems to fix the problem some guy said... havent tried tho...
Comment 28 David Chipman 2007-12-19 12:39:28 EST
OK, let us know if this fixes things. I don't know how to get libdrm through
git, I'm afraid. Any instructions for me? ;) (A man can hope can't he?). Anyway,
good luck!
Comment 29 isaac 2007-12-20 09:24:55 EST
no... it doesnt fix it... it broke direct rendering... happened to me and the
guy that told me to do that... he didnt realized that cause he didnt use
compiz... still waiting for a new solution... (still want the instructions??...
by the way in being ironic lol)... but yeah... we can hope still!!!
Comment 30 David Chipman 2007-12-20 10:35:37 EST
Don't worry, I got libdrm through git (Google is your friend). It didn't help me
either. I'm getting ticked off here. It's a good thing that Blender is for me
only a "toy". I don't need it for work or anything, but it's getting
frustrating. Does anybody know how to raise the priority on a bug? Later
Comment 31 rsp 2007-12-20 13:41:42 EST
Just posted this over on fedoraforum.org:  If I start a new session in KDE with
a session already running (where blender fails), I'm able to run Blender in the
second session.  Anybody else see this?
Comment 32 Brennan Ashton 2007-12-20 19:28:01 EST
Very odd, but it may be a missing clue, I could do the same thing as
rspettis@hotmail.com could do with GNOME. It still fails with the original session.
Comment 33 David Chipman 2007-12-20 21:50:03 EST
How do you have two logins on the same machine? (feeling stupid, but I've never
done it before in X Windows)
Comment 34 Brennan Ashton 2007-12-21 00:03:47 EST
Well in Fedora 8 there is the user switcher tool, log in as one user, then go
system->lock screen then click switch user. Log in as the other user. Open up
blender and it works.
Comment 35 David Chipman 2007-12-21 01:39:29 EST
Hi Brennon, 

That was really cool (though I think I goofed, logging out of the other desktop
after trying things). Now, all we need to figure out is what the difference is
once you log in to a second desktop. I imagine it's something hideously
technical and small (*groan*). Later, 
Comment 36 Bojan Matic 2007-12-21 20:21:35 EST
I can confirm this, it works in a second session...
Comment 37 isaac 2007-12-22 16:41:06 EST
guys it works in a second session because direct rendering its only enabled on
first session... so theres no direct rendering on second session... you can
check it doing glxinfo in second session... 
Comment 38 David Chipman 2007-12-22 17:17:26 EST
Hi Issac, 

Maybe that's why it *doesn't* work for me.. It seems I do have DRI enabled in
the second session.... (Though it did work before a xorg upgrade a few days
ago). I thought there were developers reading these.... This is getting
pathetic.... When will somebody fix this? I am not a developer, I don't know
what information the developers need. Can anybody help me?
Comment 39 isaac 2007-12-26 09:05:18 EST
yes you are right... im not a developer either... it seems no developers are
reading this... here nor mesa bugzilla...
Comment 40 John (J5) Palmieri 2008-01-06 18:15:24 EST
I'm getting a similar backtrace.  Seems to be an intel driver DRI bug?  I'll
have a chat with the X developers on Monday.  Seems like the owner of this bug
should have reassigned to them. I'll ask their opinion and see if we can get
this resolved.
Comment 41 David Chipman 2008-01-06 21:15:14 EST
Hi John, 

Thanks for speaking up. I look forward to seeing more traction being given to
this issue. Thanks again, 

-David Chipma
Comment 42 John (J5) Palmieri 2008-01-07 10:21:56 EST
sudo yum upgrade mesa-libGL --enablerepo=updates-testing

That fixes the issue.  The new mesa hasn't been pushed yet.  Please test this
out and then go to https://admin.fedoraproject.org/updates/F8/FEDORA-2008-0094
to add karma to the package so it can be released. Please note this bug in your
comments when adding karma.
Comment 43 isaac 2008-01-08 10:15:55 EST
it works for me!!! thank you very much... Ill test it a bit more to add karma
then... 

Note You need to log in before you can comment on or make changes to this bug.